This allows to disable single VIFs without having to remove the
whole config.

Signed-off-by: Helmut Schaa <helmut.sc...@googlemail.com>
---
 package/mac80211/files/lib/wifi/mac80211.sh |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/package/mac80211/files/lib/wifi/mac80211.sh 
b/package/mac80211/files/lib/wifi/mac80211.sh
index 738c2aa..47811fd 100644
--- a/package/mac80211/files/lib/wifi/mac80211.sh
+++ b/package/mac80211/files/lib/wifi/mac80211.sh
@@ -408,6 +408,8 @@ enable_mac80211() {
        for vif in $vifs; do
                config_get mode "$vif" mode
                [ "$mode" = "ap" ] || continue
+               config_get disabled "$vif" disabled
+               [ "$disabled" != "1" ] || continue
                mac80211_hostapd_setup_bss "$phy" "$vif"
                start_hostapd=1
        done
-- 
1.7.7

_______________________________________________
openwrt-devel mailing list
openwrt-devel@lists.openwrt.org
https://lists.openwrt.org/mailman/listinfo/openwrt-devel

Reply via email to